Developers

Creates a RoleSet resource

POST
/user/role-sets

Creates a RoleSet resource

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Request Body

The new RoleSet resource

  1. body
roles?array<>
name*string
Lengthlength <= 100

Response Body

RoleSet resource created

  1. response
id?string
Formatuuid
shortCode?string
Length6 <= length <= 6
name?string
Lengthlength <= 100
roles?array<>
Example Request
curl -X POST 'https://app.icproject.com/api/instance/demo/user/role-sets' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "shortCode": "string",  "name": "string",  "roles": [    "Check allowed_roles.yaml"  ]}